Bug 63470 - Assertion failure in unmap_underlying_metadata()
Assertion failure in unmap_underlying_metadata()
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-14 08:03 EDT by Need Real Name
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-14 15:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-14 08:03:12 EDT
Description of Problem:
I had logged in with a SecureCRT SSH session as admin. Then, I "su -" as root 
and installed some data files to my web server. When I exited from my root 
session, the system crashed. 
Syslog gives:
------------------------------------
Apr 11 03:35:57 im-14c su(pam_unix)[20021]: session closed for user root
Apr 11 03:35:57 im-14c kernel: Assertion failure in unmap_underlying_metadata() 
at buffer.c:1538: "!buffer_jlist_eq(old_bh, 3)"
Apr 11 03:35:57 im-14c kernel: ------------[ cut here ]------------
Apr 11 03:35:57 im-14c kernel: kernel BUG at buffer.c:1538!
Apr 11 03:35:57 im-14c kernel: invalid operand: 0000
Apr 11 03:35:57 im-14c kernel: CPU:    0
Apr 11 03:35:57 im-14c kernel: EIP:    0010:
[unmap_underlying_metadata+180/256]    Not tainted
Apr 11 03:35:57 im-14c kernel: EIP:    0010:[<c0138d24>]    Not tainted
Apr 11 03:35:57 im-14c kernel: EFLAGS: 00010282
Apr 11 03:35:57 im-14c kernel: EIP is at unmap_underlying_metadata [kernel] 0xb4
Apr 11 03:35:57 im-14c kernel: eax: 0000001d   ebx: ca427480   ecx: 00000001   
edx: 0000c8bb
Apr 11 03:35:57 im-14c kernel: esi: dfebbec0   edi: 00001000   ebp: 00000000   
esp: c475fe38
Apr 11 03:35:57 im-14c kernel: ds: 0018   es: 0018   ss: 0018
Apr 11 03:35:57 im-14c kernel: Process bash (pid: 20027, stackpage=c475f000)
Apr 11 03:35:57 im-14c kernel: Stack: c022e016 00000602 00000001 00001000 
00001000 c01390d1 00000000 00001000
Apr 11 03:35:57 im-14c kernel:        c01390f2 ca427480 ca427480 dccbb000 
c475fe78 00001000 00000000 ca427480
Apr 11 03:35:57 im-14c kernel:        00000001 00000070 00000014 e0806467 
00000014 00000070 c17a61bc d519f200
Apr 11 03:35:57 im-14c kernel: Call Trace: 
[IRQ0x0f_interrupt+113814/138400] .rodata.str1.1 [kernel] 0x2511
Apr 11 03:35:57 im-14c kernel: Call Trace: [<c022e016>] .rodata.str1.1 [kernel] 
0x2511
Apr 11 03:35:57 im-14c kernel: [__block_prepare_write+273/768] 
__block_prepare_write [kernel] 0x111
Apr 11 03:35:57 im-14c kernel: [<c01390d1>] __block_prepare_write [kernel] 0x111
Apr 11 03:35:57 im-14c kernel: [__block_prepare_write+306/768] 
__block_prepare_write [kernel] 0x132
Apr 11 03:35:57 im-14c kernel: [<c01390f2>] __block_prepare_write [kernel] 0x132
Apr 11 03:35:57 im-14c kernel: [8139too:__insmod_8139too_O/lib/modules/2.4.9-
21/kernel/drivers/net/+-519065/96] journal_blocks_per_p
Apr 11 03:35:57 im-14c kernel: [<e0806467>] journal_blocks_per_page_Rc38911b3 
[jbd] 0x77
Apr 11 03:35:57 im-14c kernel: [block_prepare_write+34/112] block_prepare_write 
[kernel] 0x22
Apr 11 03:35:57 im-14c kernel: [<c01399b2>] block_prepare_write [kernel] 0x22
Apr 11 03:35:57 im-14c kernel: [8139too:__insmod_8139too_O/lib/modules/2.4.9-
21/kernel/drivers/net/+-481072/96] __insmod_ext3_S.text
Apr 11 03:35:57 im-14c kernel: [<e080f8d0>] __insmod_ext3_S.text_L43040 [ext3] 
0x3870
Apr 11 03:35:57 im-14c kernel: [8139too:__insmod_8139too_O/lib/modules/2.4.9-
21/kernel/drivers/net/+-479859/96] __insmod_ext3_S.text
Apr 11 03:35:57 im-14c kernel: [<e080fd8d>] __insmod_ext3_S.text_L43040 [ext3] 
0x3d2d
Apr 11 03:35:57 im-14c kernel: [8139too:__insmod_8139too_O/lib/modules/2.4.9-
21/kernel/drivers/net/+-481072/96] __insmod_ext3_S.text
Apr 11 03:35:57 im-14c kernel: [<e080f8d0>] __insmod_ext3_S.text_L43040 [ext3] 
0x3870
Apr 11 03:35:57 im-14c kernel: [generic_file_write+972/1552] generic_file_write 
[kernel] 0x3cc
Apr 11 03:35:57 im-14c kernel: [<c012aadc>] generic_file_write [kernel] 0x3cc
Apr 11 03:35:57 im-14c kernel: [dentry_open+195/320] dentry_open [kernel] 0xc3
Apr 11 03:35:57 im-14c kernel: [<c0135f43>] dentry_open [kernel] 0xc3
Apr 11 03:35:57 im-14c kernel: [8139too:__insmod_8139too_O/lib/modules/2.4.9-
21/kernel/drivers/net/+-488958/96] __insmod_ext3_S.text
Apr 11 03:35:57 im-14c kernel: [<e080da02>] __insmod_ext3_S.text_L43040 [ext3] 
0x19a2
Apr 11 03:35:57 im-14c kernel: [sys_write+150/208] sys_write [kernel] 0x96
Apr 11 03:35:57 im-14c kernel: [<c0136736>] sys_write [kernel] 0x96
Apr 11 03:35:57 im-14c kernel: [sys_open+125/176] sys_open [kernel] 0x7d
Apr 11 03:35:57 im-14c kernel: [<c013618d>] sys_open [kernel] 0x7d
Apr 11 03:35:57 im-14c kernel: [system_call+51/56] system_call [kernel] 0x33
Apr 11 03:35:57 im-14c kernel: [<c0106f3b>] system_call [kernel] 0x33
Apr 11 03:35:57 im-14c kernel:
Apr 11 03:35:57 im-14c kernel:
Apr 11 03:35:57 im-14c kernel: Code: 0f 0b 59 5b b8 01 00 00 00 0f b3 46 18 19 
c0 85 c0 74 07 56

Version-Release number of selected component (if applicable):


How Reproducible:
I do not know how to reproduce this crash.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Stephen Tweedie 2002-04-14 09:22:04 EDT
Which kernel version?
Comment 2 Need Real Name 2002-04-14 15:10:01 EDT
Kernel version is 2.4.9-21
Comment 3 Stephen Tweedie 2002-04-22 16:05:42 EDT
I _think_ -21 has all the recent relevant fixes in place, but upgrading to
2.4.9-31 cannot hurt.  Other than that, I can only suggest running memtest86 and
checking your logs for other errors.  If this is a non-reproducible one-off
fault that nobody else has seen, chances are that it is most likely a hardware
fault, and if it's not, we'll definitely need more info than is present here to
trace it further.

Please reopen the bug if anything else comes to light.

Note You need to log in before you can comment on or make changes to this bug.